General discussion on installation and configuration of SOGo

Text archives Help


Re: [SOGo] Debian Buster Upgrade


Chronological Thread 
  • From: "Jordi Mallach" ( ) < >
  • To:
  • Subject: Re: [SOGo] Debian Buster Upgrade
  • Date: Fri, 24 Jan 2020 10:47:50 +0100
  • Dmarc-filter: OpenDMARC Filter v1.2.0 mail.inverse.ca 8E0431DE5221

El dj. 23 de 01 de 2020 a les 09:11 -0600, en/na Robert A Wooldridge va
escriure:
> This morning I tried doing apt-update and then apt-upgrade. Debian
> showed upgrades available and they happen to be sogo v4.9. I tried
> the upgrade and it failed. Here is some of the output:
>
> > Preparing to unpack .../7-sope4.9-gdl1-
> > mysql_4.9.r1664.20191217_amd64.deb ...
> > Unpacking sope4.9-gdl1-mysql (4.9.r1664.20191217) ...
> > dpkg: error processing archive /tmp/apt-dpkg-install-H6p7Y6/7-
> > sope4.9-gdl1-mysql_4.9.r1664.20191217_amd64.deb (--unpack):
> > trying to overwrite '/usr/lib/GNUstep/GDLAdaptors-
> > 4.9/MySQL.gdladaptor/MySQL', which is also in package libsope1
> > 4.0.7-1
> > Errors were encountered while processing:
> > /tmp/apt-dpkg-install-H6p7Y6/0-libsope-
> > xml4.9_4.9.r1664.20191217_amd64.deb
> > /tmp/apt-dpkg-install-H6p7Y6/1-libsope-
> > core4.9_4.9.r1664.20191217_amd64.deb
> > /tmp/apt-dpkg-install-H6p7Y6/2-libsope-
> > mime4.9_4.9.r1664.20191217_amd64.deb
> > /tmp/apt-dpkg-install-H6p7Y6/3-libsope-
> > appserver4.9_4.9.r1664.20191217_amd64.deb
> > /tmp/apt-dpkg-install-H6p7Y6/4-libsope-gdl1-
> > 4.9_4.9.r1664.20191217_amd64.deb
> > /tmp/apt-dpkg-install-H6p7Y6/5-libsope-
> > ldap4.9_4.9.r1664.20191217_amd64.deb
> > /tmp/apt-dpkg-install-H6p7Y6/6-sope4.9-
> > libxmlsaxdriver_4.9.r1664.20191217_amd64.deb
> > /tmp/apt-dpkg-install-H6p7Y6/7-sope4.9-gdl1-
> > mysql_4.9.r1664.20191217_amd64.deb
> > E: Sub-process /usr/bin/dpkg returned an error code (1)

This is because you have leftovers of the Debian packages.

Try this first:

dpkg --force-all --purge libsope1 libsbjson2.3

and then try again.

Jordi




Archive powered by MHonArc 2.6.18.

Top of page